> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List libraries plain (alternative to List libraries)

> If you only need the library name and ID in the response, then you can use the plain library list ([ApiPlainLibraryList](/api-reference/library)) as an alternative to the full library list ([ApiLibraryList](/api-reference/library)). It is usually much faster than the standard library list API method, but returns much less information.

### Method and API

Play with the API Explorer:

#### [PUT /library/v1/plain](/api-reference/library)

### Usage/notes/guidelines

#### Request

There are no mandatory or recommended parameters to send.

#### Sample request

```yaml theme={null}
PUT https://aodocs.altirnao.com/api/library/v1/plain
```

## Responses

The response returns an [ApiPlainLibraryList](/api-reference/library) resource, listing all libraries accessible to you on the domain, but only listing the following for each:

* library name
* library ID
* modification dates

Take note of the `libraryId` of your target library. The library ID is one of the most commonly used identifiers in the AODocs APIs.

Additional response fields to note:

* `name` (of the library)

<ResponseExample>
  ```json Sample response theme={null}
  {
        "kind": "aodocs#plainLibrary",
        "libraryId": "RnTG8PD8u8ZqTuDVHcv",
        "name": "my-DMS-lib-001",
        "lastModified": "1579005945318",
        "lastConfigModified": "1579005945318"
      },
      {
        "kind": "aodocs#plainLibrary",
        "libraryId": "Rngc1ug8K6WmL3IjZ8",
        "name": "my-sf-lib-005",
        "lastModified": "1579619340936",
        "lastConfigModified": "1579619340936"
      }
      ...
  ```
</ResponseExample>
